> For the complete documentation index, see [llms.txt](https://docs.gmgn.ai/index/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gmgn.ai/index/cooperation-api-integrate-gmgn-eth-base-bsc-trading-api/get-the-recommended-slippage-value-of-eth-base-bsc-token.md).

# Get the recommended slippage value of ETH/Base/BSC token

Get the recommended slippage value based on the input blockchain code and token contract address

Access point: <https://gmgn.ai/api/v1/recommend\\_slippage/sol/9U1NKvb9bUTrqcdymkQ2kDkLxSVyCLUrAfVswcSZPUMP>

Request method: GET

Request parameters:

| **Parameter name** | **Parameter Description**                | **Is it necessary**                                                                              | **Example**                                |
| ------------------ | ---------------------------------------- | ------------------------------------------------------------------------------------------------ | ------------------------------------------ |
| token\_address     | the contract address of the output token | yes                                                                                              | 0xbacacd83b68c92ae07ef382d0c0277d1bd1c7c4d |
| token\_in\_address | enter the token contract address         | no, the main purpose is to solve the problem of accumulated slippage when swapping two alt coins | 0x0c48250eb1f29491f1efbeec0261eb556f0973c7 |

Return parameter:

<table data-header-hidden><thead><tr><th width="187"></th><th></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Parameter Description</strong></td><td><strong>Example</strong></td></tr><tr><td>msg</td><td>error message</td><td>amountIn is required</td></tr><tr><td>code</td><td>correct 0, Incorrect -1</td><td>0</td></tr><tr><td>data</td><td>returns the recommended slippage value. If it is 10%, it returns "10". display_slippage is the displayed slippage value.</td><td><p>{</p><p>"recommend_slippage":"1",</p><p>"display_slippage":"1",</p><p>"has_tax":false</p><p>}</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gmgn.ai/index/cooperation-api-integrate-gmgn-eth-base-bsc-trading-api/get-the-recommended-slippage-value-of-eth-base-bsc-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
